Этот скрипт предназначен для обработки содержимого указанной папки и сбора информации о находящихся в ней файлах. Скрипт разработан для использования в качестве пользовательского действия в файловом менеджере Thunar (XFCE). Это позволяет быстро запускать его из контекстного меню, чтобы подготовить данные для дальнейшей работы, например, в нейросети. Он анализирует файлы, извлекает их основные свойства (размер, даты создания и изменения, тип) и, при возможности, считывает их содержимое. Основное применение — автоматическая подготовка контекста для работы с нейросетями. Отчёт автоматически копируется в буфер обмена.

### Как работает
- Сканирует папку и её вложенные директории.
- Исключает скрытые файлы и файлы, содержащие в имени слово "secret".
- Определяет тип файла с помощью библиотеки `python-magic`.

### Что делает с отчётом
- В начале приводит структуру файлов и каталогов.
- Добавляет содержимое текстовых файлов и файлов программного кода в отчёт.
- Для нетекстовых файлов добавляет информацию о размере.
- В конце отчёта добавляется системное сообщение с просьбой не отвечать на это сообщение.
- Копирует отчёт в буфер обмена с помощью библиотеки `pyperclip`.


### Установка зависимостей
Перед использованием установите необходимые библиотеки:
```bash
pip install python-magic pyperclip
```

### Использование
Запустите скрипт из терминала, указав путь к папке:
```bash
python preparer.py <путь_к_папке>
```